<?php
session_start();

// Check if the orderId and driver parameters are set in the POST data
if(isset($_POST['orderId']) && isset($_POST['driver'])) {
    // Retrieve the orderId and driver ID from the POST data
    $orderId = $_POST['orderId'];
    $driverId = $_POST['driver'];

    // Database connection details
    $dbHost = 'localhost';
    $dbName = 'cocoeatz_app';
    $dbUser = 'cocoeatz_test';
    $dbPassword = 'Msnt@786';

    try {
        // Connect to Database
        $db = new PDO("mysql:host=$dbHost;dbname=$dbName", $dbUser, $dbPassword);
        $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        // Get current date and time in the required format
        $executionDateTime = date('Y-m-d H:i:s');

        // Check if the order is already assigned to a driver
        $checkAssignedQuery = $db->prepare("SELECT delivery_man_id FROM orders WHERE id = :orderId");
        $checkAssignedQuery->bindParam(':orderId', $orderId);
        $checkAssignedQuery->execute();
        $previousDriverId = $checkAssignedQuery->fetchColumn();

        if($previousDriverId !== false && $previousDriverId != $driverId) {
            // Decrement current_orders and assigned_order_count for the previous driver
            $decrementQuery = $db->prepare("UPDATE delivery_men SET current_orders = current_orders - 1, assigned_order_count = assigned_order_count - 1 WHERE id = :previousDriverId");
            $decrementQuery->bindParam(':previousDriverId', $previousDriverId);
            $decrementQuery->execute();

            // Increment current_orders and assigned_order_count for the new driver
            $incrementQuery = $db->prepare("UPDATE delivery_men SET current_orders = current_orders + 1, assigned_order_count = assigned_order_count + 1 WHERE id = :driverId");
            $incrementQuery->bindParam(':driverId', $driverId);
            $incrementQuery->execute();
        }

        // Update order status, assign driver ID, and add processing details
        $updateOrderQuery = $db->prepare("UPDATE orders SET order_status = 'processing', delivery_man_id = :driverId, processing_time = '60', confirmed = :executionDateTime, processing = :executionDateTime WHERE id = :orderId");
        $updateOrderQuery->bindParam(':driverId', $driverId);
        $updateOrderQuery->bindParam(':orderId', $orderId);
        $updateOrderQuery->bindParam(':executionDateTime', $executionDateTime);
        $updateOrderQuery->execute();

        // Close the database connection
        $db = null;

        // Redirect back to the index page
        header("Location: index.php");
        exit;
    } catch (PDOException $e) {
        die("Database connection failed: " . $e->getMessage());
    }
} else {
    // Redirect the user back to the index page or display an error message
    header("Location: index.php");
    exit;
}
?>
