<?php
session_start();

// Check if the orderId parameter is set in the URL
if(isset($_GET['orderId'])) {
    // Retrieve the orderId from the URL
    $orderId = $_GET['orderId'];

    // Database connection details
    $dbHost = 'localhost';
    $dbName = 'cocoeatz_app';
    $dbUser = 'cocoeatz_test';
    $dbPassword = 'Msnt@786';

    try {
        // Connect to Database
        $db = new PDO("mysql:host=$dbHost;dbname=$dbName", $dbUser, $dbPassword);
        $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        // Fetch list of drivers
        $query = $db->prepare("SELECT id, f_name, l_name FROM delivery_men");
        $query->execute();
        $drivers = $query->fetchAll(PDO::FETCH_ASSOC);

        // Close the database connection
        $db = null;
    } catch (PDOException $e) {
        die("Database connection failed: " . $e->getMessage());
    }
} else {
    // Redirect the user back to the index page or display an error message
    header("Location: index.php");
    exit;
}

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Select Driver</title>
<style>
    body {
        display: flex;
        justify-content: center; /* Center align horizontally */
        align-items: flex-start; /* Align items to the top */
        padding-top: 50px; /* Add space on top */
        font-family: Arial, sans-serif;
        margin: 0; /* Remove default margin */
    }

    .driver-container {
        display: flex;
        flex-wrap: wrap;
        gap: 10px; /* Add gap between drivers */
        justify-content: center; /* Center align horizontally */
    }

    .driver-box {
        padding: 20px;
        background-color: #f0f0f0;
        border-radius: 5px;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        cursor: pointer;
        transition: background-color 0.3s ease;
        width: calc(25% - 10px); /* Adjust the width to fit four drivers in a row */
        flex-grow: 1; /* Allow the driver boxes to grow to fill available space */
    }

    .driver-box:hover {
        background-color: #e6e6e6;
    }

    .driver-name {
        font-weight: bold;
        margin-bottom: 5px;
    }

    .driver-details {
        font-size: 14px;
        color: #666;
    }
</style>


</head>
<body>
    <form id="assign-driver-form" action="assign_driver.php" method="post">
        <input type="hidden" name="orderId" value="<?php echo $orderId; ?>">
        <div class="driver-container">
            <?php foreach ($drivers as $driver) : ?>
                <div class="driver-box" onclick="handleDriverClick(<?php echo $driver['id']; ?>)">
                    <div class="driver-name"><?php echo $driver['f_name'] . ' ' . $driver['l_name']; ?></div>
                    <div class="driver-details">Driver ID: <?php echo $driver['id']; ?></div>
                </div>
            <?php endforeach; ?>
        </div>
    </form>

    <script>
        function handleDriverClick(driverId) {
            // Update selected driver ID
            var selectedDriverInput = document.createElement("input");
            selectedDriverInput.setAttribute("type", "hidden");
            selectedDriverInput.setAttribute("name", "driver");
            selectedDriverInput.setAttribute("value", driverId);
            document.getElementById('assign-driver-form').appendChild(selectedDriverInput);

            // Submit the form automatically
            document.getElementById('assign-driver-form').submit();
        }
    </script>
</body>
</html>
